# Outline view

The Outline view displays an outline of a structured C/C++ file that is currently open in the editor area, by listing the structural elements.

The Outline view shows the following elements in the source file in the order in which they occur:

- Class
- Namespace
- Include
- Enum
- Enumerator
- Field private
- Field protected
- Field public
- Include
- Method private
- Method protected
- Method public
- Struct
- Typedef
- Union
- Variable
- Function
- Macro Definition

You can also sort the list alphabetically. When you select an element in the Outline view, the C/C++ editor highlights both the selected item and the marker bar (left margin). For example, to move to the start of main() in the C/C++ editor, click `main()` in the Outline view.

For more information about the marker bar, see Workbench User Guide > Reference > User interface information > Views and editors > Editor area.

## Filtering the Outline View

You can filter the Outline view by choosing to display or hide the following items:

- Fields
- Static members
- Non-public members

You can select an element in the Outline view, and perform the following actions:

- Open the C/C++ Search window box. The Search string box is populated and the element type is selected.
- Complete a text-based search, of a workspace or a specified working set for the selected element.
- Open a selected .h file in the editor.
- Rename Refactor

## Icons

Icon | Description
--- | ---
| Hide Fields
| Hide Static Members
| Hide Non-Public Members
| Sort

For more information about the Eclipse workbench, see Workbench User Guide > Tasks > Upgrading Eclipse.

For more information about Working sets, see Workbench User Guide > Concepts > Working sets.

Comments
Content Assist and code completion
C/C++ search
Open Declaration

Displaying C/C++ file components in the Project Explorer view
Searching for C/C++ elements

Outline view